/*
 * Copyright (c) 2020 QMTH All Rights Reserved.
 * Created by Deason on 2020-08-12 15:31:51
 */

package cn.com.qmth.examcloud.core.oe.admin.service;

import cn.com.qmth.examcloud.api.commons.security.bean.User;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.examaudit.ExamAuditQuery;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.examrecord.ExamRecordQuery;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.examscore.ExamScoreQuery;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.examstudent.ExamStudentQuery;

/**
 * 异步导出相关接口
 */
public interface AsyncExportService {

    void exportExamRecordDetails(String jsonParams,User user);

    void exportExamScoreStatistics(String jsonParams,User user);
    
    void exportExamScheduling(String jsonParams,User user);

    void exportExamAuditList(String query, User user);

	void asyncExportExamScheduling(Long taskId, ExamStudentQuery req);

	void asyncExportExamRecordDetails(Long taskId, ExamRecordQuery req);

	void asyncExportExamScoreStatistics(Long taskId, ExamScoreQuery req);

    void asyncExportExamAuditList(Long taskId, ExamAuditQuery query);
}
