package cn.com.qmth.examcloud.core.oe.admin.service;

import java.util.Map;

import cn.com.qmth.examcloud.core.basic.api.bean.CourseBean;
import cn.com.qmth.examcloud.core.basic.api.bean.OrgBean;
import cn.com.qmth.examcloud.examwork.api.bean.ExamStudentBean;

/**
 * 本地缓存服务
 * @author chenken
 *
 */
public interface LocalCacheService {
	/**
	 * 获取学生电话
	 * @param studentId
	 * @return
	 */
	public String getStudentPhotoNumber(Map<String, Object> cahcheMap, Long studentId);
	
	/**
	 * 获取考生
	 * @return
	 */
	public ExamStudentBean getExamStudentBean(Map<String, Object> cahcheMap,Long examStudentId);
}
