package cn.com.qmth.examcloud.core.oe.admin.service.bean.examrecord;
import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import cn.com.qmth.examcloud.support.excel.ExcelProperty;
/**
 * 
 * @author lideyin
 * @date 2019年3月14日 下午2:37:57
 * @description 考生作答得分详情
 */
public class ExamStudentQuestionScoreInfo implements JsonSerializable {

	private static final long serialVersionUID = -735354116432038902L;
	/**
     * 考试记录ID
     */
	@ExcelProperty(name = "考试记录ID", width = 30, index = 1)
	private Long examRecordDataId;
    /**
     * 课程代码
     */
	@ExcelProperty(name = "课程代码", width = 30, index = 2)
	private String courseCode;
    /**
     * 课程名称
     */
	@ExcelProperty(name = "课程名称", width = 30, index = 3)
	private String courseName;
    /**
     * 考试名称
     */
	@ExcelProperty(name = "考试名称", width = 30, index = 4)
	private String examName;
   /**
    * 学号
    */
	@ExcelProperty(name = "学号", width = 30, index = 5)
	private String studentCode;
    /**
     * 原始试卷Id
     */
	@ExcelProperty(name = "原始试卷Id", width = 30, index = 6)
	private String basePaperId;
    /**
     * 大题号
     */
	@ExcelProperty(name = "大题号", width = 30, index = 7)
	private Integer mainNumber;
    /**
     * 顺序/小题号
     */
	@ExcelProperty(name = "小题号", width = 30, index = 8)
	private Integer order;
    /**
     * 每题得分
     */
	@ExcelProperty(name = "每题得分", width = 30, index = 9)
	private Double studentScore;
    /**
     * 考生作答
     */
	@ExcelProperty(name = "考生作答", width = 30, index = 10)
	private String studentAnswer;
	public Long getExamRecordDataId() {
		return examRecordDataId;
	}
	public void setExamRecordDataId(Long examRecordDataId) {
		this.examRecordDataId = examRecordDataId;
	}
	public String getCourseCode() {
		return courseCode;
	}
	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}
	
	public String getExamName() {
		return examName;
	}
	public void setExamName(String examName) {
		this.examName = examName;
	}
	public String getStudentCode() {
		return studentCode;
	}
	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}
	
	public String getCourseName() {
		return courseName;
	}
	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}
	public String getBasePaperId() {
		return basePaperId;
	}
	public void setBasePaperId(String basePaperId) {
		this.basePaperId = basePaperId;
	}
	public Integer getMainNumber() {
		return mainNumber;
	}
	public void setMainNumber(Integer mainNumber) {
		this.mainNumber = mainNumber;
	}
	public Integer getOrder() {
		return order;
	}
	public void setOrder(Integer order) {
		this.order = order;
	}
	public Double getStudentScore() {
		return studentScore;
	}
	public void setStudentScore(Double studentScore) {
		this.studentScore = studentScore;
	}
	public String getStudentAnswer() {
		return studentAnswer;
	}
	public void setStudentAnswer(String studentAnswer) {
		this.studentAnswer = studentAnswer;
	}
    
}
