/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-30 13:40:36.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.oe.admin.service.bean.examstudent;


import java.io.Serializable;

import cn.com.qmth.examcloud.support.excel.ExcelProperty;

/**
 * @Description 课程完成进度
 * @Author lideyin
 * @Date 2019/10/11 15:43
 * @Version 1.0
 */
public class CourseCompleteProgressExcel implements Serializable {
    private static final long serialVersionUID = -8556362551712685945L;

    @ExcelProperty(name = "课程名称", index = 1)
    private String courseName;
    @ExcelProperty(name = "课程代码", index = 2)
    private String courseCode;
    @ExcelProperty(name = "报考人数", index = 3)
    private Integer allNum;
    @ExcelProperty(name = "实考人数", index = 4)
    private Integer completedNum;
    @ExcelProperty(name = "完成比率", index = 5)
    private Double completedProportion;

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public Integer getAllNum() {
        return allNum;
    }

    public void setAllNum(Integer allNum) {
        this.allNum = allNum;
    }

    public Integer getCompletedNum() {
        return completedNum;
    }

    public void setCompletedNum(Integer completedNum) {
        this.completedNum = completedNum;
    }

    public Double getCompletedProportion() {
        return completedProportion;
    }

    public void setCompletedProportion(Double completedProportion) {
        this.completedProportion = completedProportion;
    }
}