/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-30 10:01:51.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.oe.admin.service.bean.examstudent;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

/**
 * 考试统计信息
 *
 * @author: QMTH
 * @since: 2018/8/15
 */
public class ExamStudentOrgStatistic implements JsonSerializable {
    /**
     * 学习中心ID
     */
    private Long orgId;
    /**
     * 学习中心代码
     */
    private String orgCode;
    /**
     * 学习中心名称
     */
    private String orgName;
    /**
     * 报考人数(计划数)
     */
    private Integer totalCount;
    /**
     * 实考人数(完成数)
     */
    private Integer finishedCount;
    /**
     * 完成比率(%)
     */
    private String finishedPercent;

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public Integer getTotalCount() {
        return totalCount != null ? totalCount : 0;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }

    public Integer getFinishedCount() {
        return finishedCount != null ? finishedCount : 0;
    }

    public void setFinishedCount(Integer finishedCount) {
        this.finishedCount = finishedCount;
    }

    public String getFinishedPercent() {
        return finishedPercent;
    }

    public void setFinishedPercent(String finishedPercent) {
        this.finishedPercent = finishedPercent;
    }

}