/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-30 13:52:30.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.oe.admin.service.bean.examstudent;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import cn.com.qmth.examcloud.support.excel.ExcelProperty;

/**
 * 考生信息-Excel格式
 *
 * @author: QMTH
 * @since: 2018/8/15
 */
public class ExamStudentUnFinishedExcel implements JsonSerializable {
    @ExcelProperty(name = "姓名", index = 1)
    private String studentName;
    @ExcelProperty(name = "学号", index = 2)
    private String studentCode;
    @ExcelProperty(name = "身份证号", index = 3)
    private String identityNumber;
    @ExcelProperty(name = "学习中心代码", index = 4)
    private String orgCode;
    @ExcelProperty(name = "学习中心名称", index = 5)
    private String orgName;
    @ExcelProperty(name = "课程代码", index = 6)
    private String courseCode;
    @ExcelProperty(name = "课程名称", index = 7)
    private String courseName;
    @ExcelProperty(name = "试卷类型", index = 8)
    private String paperType;
    @ExcelProperty(name = "专业名称", index = 9)
    private String specialtyName;
    @ExcelProperty(name = "信息采集人", index = 11)
    private String infoCollector;
    @ExcelProperty(name = "考点", index = 10)
    private String examSiteName;
    @ExcelProperty(name = "学生电话", index = 12)
    private String phone;
    @ExcelProperty(name = "年级", index = 13)
    private String grade;

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getIdentityNumber() {
        return identityNumber;
    }

    public void setIdentityNumber(String identityNumber) {
        this.identityNumber = identityNumber;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public String getSpecialtyName() {
        return specialtyName;
    }

    public void setSpecialtyName(String specialtyName) {
        this.specialtyName = specialtyName;
    }

    public String getInfoCollector() {
        return infoCollector;
    }

    public void setInfoCollector(String infoCollector) {
        this.infoCollector = infoCollector;
    }

    public String getExamSiteName() {
        return examSiteName;
    }

    public void setExamSiteName(String examSiteName) {
        this.examSiteName = examSiteName;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

}