/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-30 13:40:36.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.oe.admin.service.bean.examstudent;


import java.io.Serializable;

import cn.com.qmth.examcloud.support.excel.ExcelProperty;

/**
 * @Description 学习中心完成进度
 * @Author lideyin
 * @Date 2019/10/11 15:43
 * @Version 1.0
 */
public class OrgCompleteProgressExcel implements Serializable {

    private static final long serialVersionUID = 122373352029233388L;
    /**
     * 学习中心代码
     */
    @ExcelProperty(name = "学习中心代码", index = 1)
    private String orgCode;
    /**
     * 学习中心名称
     */
    @ExcelProperty(name = "学习中心名称", index = 2)
    private String orgName;
    /**
     * 报考人数(计划数)
     */
    @ExcelProperty(name = "报考人数", index = 3)
    private Integer totalCount;
    /**
     * 实考人数(完成数)
     */
    @ExcelProperty(name = "实考人数", index = 4)
    private Integer finishedCount;
    /**
     * 完成比率(%)
     */
    @ExcelProperty(name = "完成比率(%)", index = 5)
    private String finishedPercent;

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public Integer getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }

    public Integer getFinishedCount() {
        return finishedCount;
    }

    public void setFinishedCount(Integer finishedCount) {
        this.finishedCount = finishedCount;
    }

    public String getFinishedPercent() {
        return finishedPercent;
    }

    public void setFinishedPercent(String finishedPercent) {
        this.finishedPercent = finishedPercent;
    }
}