/*
 * Copyright (c) 2020 QMTH All Rights Reserved.
 * Created by Deason on 2020-08-12 16:19:21
 */

package cn.com.qmth.examcloud.core.oe.admin.service.bean.exporttask;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import cn.com.qmth.examcloud.core.oe.admin.dao.enums.ExportTaskStatus;
import cn.com.qmth.examcloud.core.oe.admin.dao.enums.ExportTaskType;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class ExportTaskListResp implements JsonSerializable {

    private static final long serialVersionUID = 4853280464208226631L;

    @ApiModelProperty("ID")
    private Long id;

    @ApiModelProperty("导出任务类型")
    private ExportTaskType type;

    @ApiModelProperty("导出任务类型")
    private String typeTitle;

    @ApiModelProperty("导出任务状态")
    private ExportTaskStatus status;

    @ApiModelProperty("导出任务状态")
    private String statusTitle;

    @ApiModelProperty("任务状态信息")
    private String statusMsg;

    @ApiModelProperty("考试ID")
    private Long examId;

    @ApiModelProperty("考试名称")
    private String examName;

    @ApiModelProperty("文件路径")
    private String filePath;

    @ApiModelProperty("创建时间")
    private Date creationTime;

    @ApiModelProperty("更新时间")
    private Date updateTime;
    
    private String createName;
    
    @ApiModelProperty("开始处理时间")
    private Date startTime;
    
    @ApiModelProperty("结束处理时间")
    private Date endTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public ExportTaskType getType() {
        return type;
    }

    public void setType(ExportTaskType type) {
        this.type = type;
    }

    public String getTypeTitle() {
        return typeTitle;
    }

    public void setTypeTitle(String typeTitle) {
        this.typeTitle = typeTitle;
    }

    public ExportTaskStatus getStatus() {
        return status;
    }

    public void setStatus(ExportTaskStatus status) {
        this.status = status;
    }

    public String getStatusTitle() {
        return statusTitle;
    }

    public void setStatusTitle(String statusTitle) {
        this.statusTitle = statusTitle;
    }

    public String getStatusMsg() {
        return statusMsg;
    }

    public void setStatusMsg(String statusMsg) {
        this.statusMsg = statusMsg;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public Date getCreationTime() {
        return creationTime;
    }

    public void setCreationTime(Date creationTime) {
        this.creationTime = creationTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

	public String getCreateName() {
		return createName;
	}

	public void setCreateName(String createName) {
		this.createName = createName;
	}

	public Date getStartTime() {
		return startTime;
	}

	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}
    
    
}