package cn.com.qmth.examcloud.core.oe.admin.api.provider;


import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.core.oe.admin.api.OeAdminScorePushCloudService;
import cn.com.qmth.examcloud.core.oe.admin.dao.ExamRecordDataRepo;
import cn.com.qmth.examcloud.core.oe.admin.dao.ExamScorePushQueueRepo;
import cn.com.qmth.examcloud.core.oe.admin.service.ExamScoreQueueService;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.Api;


@Api(tags = "推送成绩接口")
@RestController
@RequestMapping("${$rmp.cloud.oe}/oeAdminScorePush")
public class OeAdminScorePushCloudServiceProvider extends ControllerSupport implements OeAdminScorePushCloudService{

	private static final long serialVersionUID = -113490665725775879L;

	@Autowired
	private ExamScoreQueueService examScoreQueueService;
	
	@Autowired
	private ExamScorePushQueueRepo examScorePushQueueRepo;
	
	@Autowired
	private ExamRecordDataRepo examRecordDataRepo;
	
	@Override
	@PostMapping("/disposeScoreQueue")
	public void disposeScoreQueue() {
		examScoreQueueService.disposeScoreQueue();
	}

}
