/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-31 17:23:46.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.oe.admin.service;

import cn.com.qmth.examcloud.core.oe.admin.service.bean.examcapture.ExamCaptureAuditInfo;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.examcapture.ExamCaptureInfo;

import java.util.List;

/**
 * 考试抓拍检测相关接口
 *
 * @author: QMTH
 * @since: 2018/8/31
 */
public interface ExamCaptureService {

    /**
     * 抓拍详情-审核详细信息
     *
     * @param examRecordDataId
     * @return
     */
    ExamCaptureAuditInfo getExamCaptureAuditDetail(Long examRecordDataId);

    /**
     * 抓拍详情-抓拍记录列表
     *
     * @param examRecordDataId
     * @return
     */
    List<ExamCaptureInfo> getExamCaptureList(Long examRecordDataId);

    /**
     * 获取虚拟摄像头名称
     * @param examRecordDataId
     * @return
     */
    String getVirtualCameraNames(Long examRecordDataId);

}