package cn.com.qmth.examcloud.core.oe.admin.service;

import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamScoreNoticeQueueEntity;

/**
 * 
 * @author lideyin
 * @date 2019年3月11日 下午1:42:04
 * @description 发送成绩短信队列服务接口
 */
public interface ExamScoreNoticeQueueService {

	/**
	 * 添加成绩通知队列
	 * @param rootOrgId 顶级组织机构id
	 */
	public void addExamScoreNoticeQueue(Long rootOrgId);
	/**
	 * 当前机构是否存在通知队列
	 * @param rootOrgId 顶级组织机构id
	 * @return
	 */
	public boolean isExistExamScoreNoticeQueue(Long rootOrgId);
}
