package cn.com.qmth.examcloud.core.oe.admin.service;

import cn.com.qmth.examcloud.core.oe.admin.dao.entity.IllegallyTypeEntity;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.IllegallyTypeInfo;

import java.io.File;
import java.util.List;
import java.util.Map;

/**
 * @Description 违纪类型
 * @Author lideyin
 * @Date 2020/2/20 15:23
 * @Version 1.0
 */
public interface IllegallyTypeService {

    IllegallyTypeEntity getIllegallyType(Long rootOrgId, String code);

    List<IllegallyTypeEntity> getSystemIllegallyTypes();

    /**
	 * 方法注释
	 *
	 * @author WANGWEI
	 * @param info
	 * @return
	 */
	IllegallyTypeEntity saveIllegallyType(IllegallyTypeInfo info);

	/**
	 * 导入专业
	 *
	 * @author WANGWEI
	 * @param rootOrgId
	 * @param file
	 * @return
	 */
	List<Map<String, Object>> importIllegallyType(Long rootOrgId, File file);

}
