/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-31 17:29:44.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.oe.admin.service.bean.examcapture;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

/**
 * 考试抓拍检测信息
 *
 * @author: QMTH
 * @since: 2018/8/31
 */
public class ExamCaptureInfo implements JsonSerializable {
    /**
	 * 
	 */
	private static final long serialVersionUID = 3199275931294184644L;
	/**
     * 主键
     */
    private Long id;
    /**
     * ec_oe_exam_record_data_ID
     */
    private Long examRecordDataId;
    /**
     * 文件URL
     */
    private String fileUrl;
    /**
     * 返回信息(JSON)
     */
    private String returnMessage;

    /**
     * 人脸比较是否通过
     */
    private Boolean isPass;
    /**
     * 是否有陌生人 1是 0否
     * 就是摄像头拍到不止考生一人
     */
    private Boolean isStranger;

    /**
     * 百度活体检测是否通过
     */
    private Boolean isFacelivenessPass;
    
    /**
     * 虚拟摄像头名称
     */
    private String virtualCameraNames;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public String getReturnMessage() {
        return returnMessage;
    }

    public void setReturnMessage(String returnMessage) {
        this.returnMessage = returnMessage;
    }

    public Boolean getPass() {
        return isPass != null ? isPass : false;
    }

    public void setPass(Boolean pass) {
        this.isPass = pass;
    }

    public Boolean getStranger() {
        return isStranger != null ? isStranger : false;
    }

    public void setStranger(Boolean stranger) {
        this.isStranger = stranger;
    }

	public Boolean getIsFacelivenessPass() {
		return isFacelivenessPass;
	}

	public void setIsFacelivenessPass(Boolean isFacelivenessPass) {
		this.isFacelivenessPass = isFacelivenessPass;
	}

	public String getVirtualCameraNames() {
		return virtualCameraNames;
	}

	public void setVirtualCameraNames(String virtualCameraNames) {
		this.virtualCameraNames = virtualCameraNames;
	}

}