package cn.com.qmth.examcloud.core.oe.admin.service.bean.examstudent;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

public class ExamStudentBean implements JsonSerializable {


	/**
     *
     */
    private static final long serialVersionUID = -205239358290227432L;

    /**
	 * 不做业务字段使用
	 */
	private Long id;

	/**
	 * 考生ID(与考务的考生ID一致) 跟其他表关联使用
	 */
	private Long examStudentId;

	/**
	 * 考试ID
	 */
	private Long examId;

	/**
	 * 学生ID
	 */
	private Long studentId;

	/**
	 * 学号
	 */
	private String studentCode;

	/**
	 * 学生姓名
	 */
	private String studentName;

	/**
	 * 身份证号
	 */
	private String identityNumber;

	/**
	 * 课程ID
	 */
	private Long courseId;

	/**
	 * 课程Code
	 */
	private String courseCode;

	/**
	 * 课程层次
	 */
	private String courseLevel;

	/**
	 * 学习中心ID
	 */
	private Long orgId;

	/**
	 * 顶级机构ID
	 */
	private Long rootOrgId;

	/**
	 * 专业code
	 */
	private String specialtyCode;

	/**
	 * 专业名称
	 */
	private String specialtyName;

	/**
	 * 试卷类型
	 */
	private String paperType;

	/**
	 * 采集人
	 */
	private String infoCollector;

	/**
	 * 是否完成考试
	 */
	private Boolean finished;

	/**
	 * 已经考试的次数
	 */
	private Integer usedNum;

	/**
	 * 补加的考试次数
	 */
	private Integer extraNum;

	/**
	 * 年级
	 */
	private String grade;

	/**
	 * 是否可用
	 */
	private Boolean enable;

	/**
	 * 场次id
	 */
	private Long examStageId;

	/**
	 * 场次号
	 */
	private Integer examStageOrder;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getExamStudentId() {
		return examStudentId;
	}

	public void setExamStudentId(Long examStudentId) {
		this.examStudentId = examStudentId;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public Long getStudentId() {
		return studentId;
	}

	public void setStudentId(Long studentId) {
		this.studentId = studentId;
	}

	public String getStudentCode() {
		return studentCode;
	}

	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}

	public String getStudentName() {
		return studentName;
	}

	public void setStudentName(String studentName) {
		this.studentName = studentName;
	}

	public String getIdentityNumber() {
		return identityNumber;
	}

	public void setIdentityNumber(String identityNumber) {
		this.identityNumber = identityNumber;
	}

	public Long getCourseId() {
		return courseId;
	}

	public void setCourseId(Long courseId) {
		this.courseId = courseId;
	}

	public String getCourseCode() {
		return courseCode;
	}

	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}

	public String getCourseLevel() {
		return courseLevel;
	}

	public void setCourseLevel(String courseLevel) {
		this.courseLevel = courseLevel;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public String getSpecialtyCode() {
		return specialtyCode;
	}

	public void setSpecialtyCode(String specialtyCode) {
		this.specialtyCode = specialtyCode;
	}

	public String getSpecialtyName() {
		return specialtyName;
	}

	public void setSpecialtyName(String specialtyName) {
		this.specialtyName = specialtyName;
	}

	public String getPaperType() {
		return paperType;
	}

	public void setPaperType(String paperType) {
		this.paperType = paperType;
	}

	public String getInfoCollector() {
		return infoCollector;
	}

	public void setInfoCollector(String infoCollector) {
		this.infoCollector = infoCollector;
	}

	public Boolean getFinished() {
		return finished;
	}

	public void setFinished(Boolean finished) {
		this.finished = finished;
	}

	public Integer getUsedNum() {
		return usedNum;
	}

	public void setUsedNum(Integer usedNum) {
		this.usedNum = usedNum;
	}

	public Integer getExtraNum() {
		return extraNum;
	}

	public void setExtraNum(Integer extraNum) {
		this.extraNum = extraNum;
	}

	public String getGrade() {
		return grade;
	}

	public void setGrade(String grade) {
		this.grade = grade;
	}

	public Boolean getEnable() {
		return enable;
	}

	public void setEnable(Boolean enable) {
		this.enable = enable;
	}

	public Long getExamStageId() {
		return examStageId;
	}

	public void setExamStageId(Long examStageId) {
		this.examStageId = examStageId;
	}

	public Integer getExamStageOrder() {
		return examStageOrder;
	}

	public void setExamStageOrder(Integer examStageOrder) {
		this.examStageOrder = examStageOrder;
	}
}
